import request from "@/utils/request";

// 新增套系
export function addsets(data) {
  console.log("wokankan",data);
  return request({
    url: "/system/tether",
    method:"post",
    data,
  });
}

//   上传文件
export function upload(file) {
  return request({
    url: "/file/upload",
    method: "post",
    data: file,
  });
}

// 获取套系列表
export function setList(params){
  return request({
    url:'/system/tether/list',
    params
  })
}

// 获取在售列表
export function sellingList(params){
  return request({
    url:'/system/tether/sellingList',
    params
  })
}

// 获取预售列表
export function advanceList(params){
  return request({
    url:'/system/tether/advanceList',
    params
  })
}

// 获取已过期列表
export function selledList(params){
  return request({
    url:'/system/tether/selledList',
    params
  })
}

// 根据时间和名称搜索
export function selectether(params){
  console.log(params);
  return request({
    url: "/system/tether/queryTether",
    params
  });
}

